ModuleDescriptorSorter
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.core.sort
Class ModuleDescriptorSorter

    java.lang.Object
      org.apache.ivy.core.sort.ModuleDescriptorSorter

    public class ModuleDescriptorSorter

extends java.lang.Object

Inner helper class for sorting ModuleDescriptors.
ModuleDescriptorSorter use CollectionOfModulesToSort to find the dependencies of the modules, and use ModuleInSort to store some temporary values attached to the modules to sort.

See Also:
  `ModuleInSort`, `CollectionOfModulesToSort`

Constructor Summary
`ModuleDescriptorSorter(java.util.Collection modulesDescriptorsToSort, VersionMatcher matcher, NonMatchingVersionReporter nonMatchingVersionReporter, CircularDependencyStrategy circularDepStrategy)`

Method Summary
`java.util.List` | `sortModuleDescriptors()` Iterates over all modules calling sortModuleDescriptorsHelp.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleDescriptorSorter

    public ModuleDescriptorSorter(java.util.Collection modulesDescriptorsToSort,
                                  VersionMatcher matcher,
                                  NonMatchingVersionReporter nonMatchingVersionReporter,
                                  CircularDependencyStrategy circularDepStrategy)

Method Detail

### sortModuleDescriptors

    public java.util.List sortModuleDescriptors()
                                         throws CircularDependencyException

  Iterates over all modules calling sortModuleDescriptorsHelp.

  Returns:
    sorted module
  Throws:
    `CircularDependencyException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD